# QVM: Quaternions, Vectors, Matrices

### inverse(quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value
            template <class A>
            typename deduce_quat<A>::type
            inverse( A const & a );
        }
    }

#### Returns:

Computes the multiplicative inverse of a, or the conjugate-to-norm ratio.

#### Throws:

If the magnitude of a is zero, throws zero_magnitude_error.

#### Note:

If a is known to be unit length, conjugate is equivalent to inverse, yet it is faster to compute.

See also: boost/qvm/quat_operations.hpp